package com.red.circle.order.inner.service;

import java.math.BigDecimal;
import java.util.List;

/**
 * 用户货运代理冲值.
 *
 * @author pengliang on 2023/12/27
 */
public interface UserFreightRechargeRecordClientService {

  /**
   * 查询充值金额大于2000的用户
   */
  List<Long> listNowMonthBySysOrigin(String sysOrigin);

  /**
   * 累计金额.
   *
   * @return 累计后金额
   */
  BigDecimal inrNowMonthAmount(Long userId, BigDecimal amount);

  /**
   * 统计用户充值金额
   */
  BigDecimal countAmount(Long userId);
}
